<%-- 
    Document   : schemas
    Created on : Dec 14, 2015, 10:04:57 AM
    Author     : Sonia Zorba <zorba at oats.inaf.it>
--%>

<%@page import="it.inaf.oats.ia2.tap.utils.model2.Tab"%>
<%@page import="it.inaf.oats.ia2.tap.utils.model2.SchemaPage"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>

<%! SchemaPage sp;%>
<% sp = (SchemaPage) request.getAttribute("schemaPage"); %>
<ul class="nav nav-tabs" role="tablist">
    <%
        int i = 0;
        for (Tab tab : sp.getSchemasTabs()) {
    %>
    <li role="presentation" class="<%= (sp.getCurrentSchemaIndex() == i) ? "active" : ""%>">
        <t:tab scope="<%= tab%>"></t:tab>
        </li>
    <%
            i++;
        }
    %>
</ul>

<div class="tab-content">
    <div role="tabpanel" class="tab-pane active">
        <div class="schema-info clearfix">
            <div class="form-horizontal">
                <div class="form-group">
                    <label for="schema-utype" class="col-sm-2 control-label">Schema utype</label>
                    <div class="col-sm-10">
                        <t:textfield sp="<%= sp%>" container="schema" key="utype"></t:textfield>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="schema-description" class="col-sm-2 control-label">Schema description</label>
                        <div class="col-sm-10">
                        <t:textfield sp="<%= sp%>" container="schema" key="description"></t:textfield>
                        </div>
                    </div>
                </div>
            </div>

            <div id="tables-wrapper">
            <jsp:include page="tables.jsp"></jsp:include>
        </div>
    </div>
</div>