<%-- 
    Document   : index
    Created on : Dec 28, 2015, 1:40:00 PM
    Author     : Sonia Zorba <zorba at oats.inaf.it>
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>

<%--<jsp:useBean id="insertCredentials" class="it.inaf.oats.ia2.tap.tsm.pageutil.InsertCredentials" scope="session"></jsp:useBean>--%>
<%--<jsp:setProperty name="formBean" property="credentials" value="${credentials}" />--%>

<t:basepage title="Credentials">
    <div class="container">
        <div class="col-sm-10 col-sm-offset-1">

            <h1 class="text-center">TapSchema Manager - Credentials insertion page</h1>
            <br/>

            <c:if test="${!insertCredentials.formErrors.isEmpty()}">
                <div class="alert alert-danger">
                    <span class="glyphicon glyphicon-warning-sign"></span>
                    <strong>Errors:</strong>
                    <ul>
                        <c:forEach items="${insertCredentials.formErrors}" var="name">
                            <li><c:out value="${name}"/><p></li>
                            </c:forEach>
                    </ul>
                </div>
            </c:if>

            <div class="panel panel-default">
                <div class="panel-body">
                    <form method="post" id="credentialForm" class="form-horizontal">
                        <div class="form-group">
                            <label for="hostname" class="col-sm-2 control-label">Hostname</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="hostname" name="hostname" value="${insertCredentials.credentials.hostname}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="port" class="col-sm-2 control-label">Port</label>
                            <div class="col-sm-10">
                                <input type="number" class="form-control" id="port" name="port" value="${insertCredentials.portStr}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="username" class="col-sm-2 control-label">Username</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="username" name="username" value="${insertCredentials.credentials.username}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="password" class="col-sm-2 control-label">Password</label>
                            <div class="col-sm-10">
                                <input type="password" class="form-control" id="password" name="password" value="${insertCredentials.credentials.password}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-10">
                                <input class="btn btn-primary" type="submit" value="Submit credentials" />
                            </div>
                        </div>                            
                    </form>
                </div>
            </div>
        </div>
    </div>
</t:basepage>
