(function ($) {

    $(document).ready(function () {
        $('[name="tapschemaRadioGroup"]').on('change', function () {
            var edit = $(this).val() === 'edit';
            $('#editContainer').toggleClass('hide', !edit);
            $('#createContainer').toggleClass('hide', edit);
        });

        $('#tapschema-selector').on('change', function () {
            $.ajax({
                method: 'POST',
                url: 'rest/tapschema/getExposedSchemas',
                data: {tapSchemaName: $(this).val()},
                success: function (res) {
                    $('#exposed-schemas').text(res);
                }
            });
        });
    });

})(jQuery);